function [m, beta] = noiseUpdateSites(noise, g, nu, mu, varSigma, y);

% NOISEUPDATESITES Update site parameters for a given noise model.
%
% [m, beta] = noiseUpdateSites(noise, g, nu, mu, varSigma, y);

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.2, Sat Jun 12 13:19:41 2004
% NOISE toolbox version 0.12





if noise.updateSites
  % The noise model has it's own code for site updates.
  [m, beta] = ...
      feval([noise.type 'NoiseSites'], noise, ...
            g, nu,  mu, varSigma, y);
else
  % Use the standard code.
  beta = nu./(1-nu.*varSigma);
  m = mu + g./nu;
end
