function noise = probitNoiseParamInit(noise, y)

% PROBITNOISEPARAMINIT probistic classification model's parameter initialisation.
%
% noise = probitNoiseParamInit(noise, y)

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.3, Tue Jun 22 15:13:05 2004
% NOISE toolbox version 0.12





if nargin > 1
  nClass1 = sum(y==1, 1);
  nClass2 = sum(y==-1, 1);
  noise.bias = invCumGaussian(nClass1./(nClass2+nClass1));
  noise.numProcess = size(y, 2);
else
  noise.bias = zeros(1, noise.numProcess);
end
noise.nParams = noise.numProcess;

% This isn't optimised, it sets the gradient of the erf.
noise.sigma2 = 1e-6;

% Can handle missing values?
noise.missing = 0;